﻿.main-content {
    position: relative;
    width: 98%;
    margin-left: 24px;
    margin-right: 24px;
}

a {
    color: black;
}

#NewMenu
{

}

#NewMenuPricingMessageImage
{
    z-index:1000;
    width:auto;
    height:90%;
    margin: 10px;
    border: 1px dotted black;
    margin-top: 50px;
}

.centeredElement{
    position: absolute;
    background:red;
    top:calc(50% - 50px/2); /* height divided by 2*/
    left:calc(50% - 50px/2); /* width divided by 2*/
}

.divTable {
    display: table;
    width: 100%;
    background-color: white !important;
    font-size: 11px !important;
    margin-top: 4px;
    border-top: 1px solid black;
    border-left: 1px solid black;
    border-right: 0px;
    border-bottom: 0px;
}

.divTableRow {
    display: table-row;
    border-collapse: collapse;
}

.divTableHeading {
    background-color: lightblue;
    display: table-header-group;
    border-collapse: collapse;
}

.divTableCell, .divTableHead {
    border: 1px solid black;
    border-top: 0px;
    border-left: 0px;
    display: table-cell;
    padding: 6px;
    border-collapse: collapse;
    vertical-align: top;
}

.divTableHeading {
    background-color: lightblue;
    display: table-header-group;
    font-weight: bold;
    border-collapse: collapse;
}

.divTableFoot {
    background-color: lightblue;
    display: table-footer-group;
    font-weight: bold;
}

.divTableBody {
    display: table-row-group;
}

#chatbot-frame{
    display:none;
}

@media only screen and (min-device-width: 0px) and (max-device-width: 666px) {
    .navbar-nav {
        width: 100%;
    }

    .main-content {
        width: 96%;
    }

    .divTable {
        font-size: 6px !important;
    }

    .majorAlert {
        font-size: 10px !important;
        font-weight: bold;
        /*margin-left: 16px;*/
        /*vertical-align: top;*/
        width: 98%;
        margin-top: 26px !important;
    }

    .majorAlertRed > majorAlert 
    {
        background-color: maroon;
    }

    .majorAlertSubText {
        font-size: 12px;
    }

    #baby-online-ordering {
        max-width: 95%;
        height: auto;
    }

    #image-chinese-takeout {
        max-width: 75%;
        height: auto;
    }

    .divCityCell
    {
        display: none;
    }

    .divHidden
    {
        display: none;
    }
    
    #delivery-schedule {
        padding: 6px;
        border: 1px solid black;
        background-color: white !important;
        font-size: 11px !important;
        margin-top: 4px;
    }

        #delivery-schedule th {
            font-weight: bold;
            border: 1px solid black;
            padding: 6px;
            background-color: lightblue;
        }

        #delivery-schedule td {
            border: 1px solid black;
            padding: 6px;
        }

    .inner-content {
        width: 95%;
        /*height: 95%;*/
        margin-right: 24px;
    }

    .navbar-brand {
        width: 100% !important;
        float: none !important;
        white-space: nowrap;
        font-size: 14px !important;
    }

    .navbar-brand-text {
        width: 100% !important;
        float: none !important;
        white-space: nowrap;
        font-size:14px !important;
    }

    .navbar-brand-black {
        width: 100%;
        float: none !important;
        white-space: nowrap;
        color: black;
    }

    .navbar-pipe {
        display: none !important;
    }

    .navbar-pipe-black {
        color: black;
        display: none !important;
    }

    .body-content-text {
        font-size: 3.0vmin;
    }

    #preorder-button {
        font-size: 3.0vmin;
        padding: 1px;
    }

    #prepay-warning {
        font-size: 3.0vmin;
    }

    [id^="gray-container-"] {
        width: 98%;
        position: relative;
        border: 1px dotted black;
        background-color: #eee;
        border-radius: 6px;
        padding-right: 24px;
        padding-left: 24px;
        font: inherit;
        float: left;
        margin-bottom: 12px;
    }

    #gray-container-empty {
        height: 380px;
    }

    .dotted-rectangle {
        font-size: 3.0vmin;
    }

    .dotted-rectangle-vertical, .dotted-rectangle-vertical-hours, .dotted-rectangle-vertical-address, #google-maps {
        float: none;
        width: 100%;
        font-size: 3.0vmin;
    }

    #google-maps {
        margin-left: initial;
        padding: initial;
        height: 100%;
    }

    #google-maps-iframe {
        width: 100%;
        height: auto;
        float: left;
    }

    .coming-soon-diagonal-text {
        position: relative;
        padding-left: 120px;
        font-size: 5.0vmin;
    }

    .news-outlet-header {
        font-size: 3.0vmin;
    }

    .news-outlet-item {
        font-size: 3.0vmin;
    }

    .menu-section
    {
        font-size: 14px
    }

    .coming-soon-diagonal-text {
        /* Rotate div */
        -ms-transform: rotate(45deg); /* IE 9 */
        -webkit-transform: rotate(45deg); /* Safari 3-8 */
        transform: rotate(45deg);
        color: red;
        opacity: 0.6;
        position: absolute;
        /*padding-top: 4px;*/
        /*padding-left: 48px;*/
        margin-top: 32px;
        margin-left: 48px;
        font-size: 64px;
        font-size: 3.0vmin;
        letter-spacing: 12px;
        font-weight: bold;
    }

    #chin-and-lee-facebook-post {
        width: 50%;
    }

    #holychow-lease-signing {
        width: 50%;
    }
}

@media only screen and (min-width: 667px) and (max-width: 2048px) {
    #gray-container-empty {
        height: 480px;
    }

    .divTable {
        font-size: 11px !important;
    }

    .majorAlert {
        font-size: 16px !important;
        font-weight: bold;
        /*margin-left: 16px;*/
        /*vertical-align: top;*/
        margin-top: 26px !important;
        width: 98%;
    }

    .majorAlertSubText {
        font-size: 12px;
    }

    #delivery-schedule {
        padding: 6px;
        border: 1px solid black;
        background-color: white !important;
        font-size: 11px !important;
        margin-top: 8px;
    }

        #delivery-schedule th {
            font-weight: bold;
            border: 1px solid black;
            padding: 6px;
            background-color: lightblue;
        }

        #delivery-schedule td {
            border: 1px solid black;
            padding: 6px;
        }

    .main-content {
        width: 96%;
    }

    .navbar-nav {
        width: 100%;
        white-space: nowrap;
    }

    .navbar-brand {
        /*width: 100%;*/
        /*float: none !important;*/
        white-space: nowrap;
        /*display: none !important;*/
    }

    .navbar-brand-black {
        width: 100%;
        float: none !important;
        white-space: nowrap;
        color: black;
    }

    .navbar-pipe {
        display: block !important;
    }

    .coming-soon-diagonal-text {
        /* Rotate div */
        -ms-transform: rotate(45deg); /* IE 9 */
        -webkit-transform: rotate(45deg); /* Safari 3-8 */
        transform: rotate(45deg);
        color: red;
        opacity: 0.6;
        position: absolute;
        /*padding-top: 4px;*/
        padding-left: 48px;
        margin-left: 340px;
        margin-top: 100px;
        font-size: 64px;
        font-size: 3.0vmin;
        letter-spacing: 12px;
        font-weight: bold;
    }

    .jumbo-text {
        font-size: 64px;
        font-weight: bold;
    }

    .item-header-anchor {
        font-weight: bold;
        text-decoration: underline;
    }

    hr.item-content-separator {
        background-color: black;
        height: 1px;
        /*margin-bottom: 18px;*/
    }
}
